<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");
//include ("include/utils.inc.php");

class poll extends elemento{
		
	function poll() {
        $c= new categoria;
    }

	function guardar($id){
		parent::guardar($id);
	}    

	function editar($id=""){

       	$db= new dbElemento;
     
       	$poll = @$db->getLinha($this->tipo, $id);    
	   	$idPoll=$poll['id'];

	   	$f= new form($idPoll, $poll, $this->req);
		$f->toolbars();
		$f->titulo();

		$f->campoTexto("Título","titulo");
		$f->campoAreaTexto("Pergunta","pergunta");

		for($i=1;$i<=10;$i++){
			$f->campoTexto("Opção resposta $i", "r$i");
		}

		$f->campoSimNao("Activo", "activa", 0);
		$f->mostra();
	}
	
	function listar($id=""){
		
       	$campos=array("Questionário"=>"id","Título"=>"titulo","Pergunta"=>"pergunta", "Activa"=>"activa");
       	$db= new dbElemento();  
       	$dados=$db->getLista($this->tipo, $this->idCat, $campos , "id", 0 ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
       	$this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);
                
       	$f= new lista($campos, $dados, $this->req);
	   	$f->toolbarsNovo2();
		
	   	$f->titulo("Questionários");
	   	$f->cabecaSimples();
       	$f->tabela();
		$f->mostra();
	}
}
?>